﻿using C1.WPF.FlexGrid;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;

namespace ImageCellBindBooking
{
    public class MyCellFactory : CellFactory
    {
        private MyTemplateSelector _myTemplateSelector;

        public MyCellFactory(MyTemplateSelector myTemplateSelector)
        {
            _myTemplateSelector = myTemplateSelector;
        }

        public override void CreateCellContent(C1FlexGrid grid, Border bdr, CellRange rng)
        {
           
            if (rng.Column == 2)
            {
                bdr.DataContext = (System.Data.DataRowView)(grid.Rows[rng.Row].DataItem);
                bdr.Child = (System.Windows.UIElement)_myTemplateSelector.SelectTemplate((System.Data.DataRowView)(grid.Rows[rng.Row].DataItem), grid).LoadContent();
            }
            else
            {
                base.CreateCellContent(grid, bdr, rng);
            }
        }
    }
}
